//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                              //
//                                                                          //
//                                               //
//                                           //
//                                                                          //
//                           mul32.asm                                      //
//                                                                          //
//     32- .                                       //
//   Mul32   -  32-  .                              //
//                                                                          //
// Copyright (c) 2001 RC Module Inc.                                        //
//                                                                          //
//  $Revision:: 2    $    $Date:: 26.02.10 20:1 $                           //
//                                                                          //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////

// :  ..
// :      .
//        .

global Mul32 :label;

begin ".text"

//=====  Mul32 ========
//   32- .
//    .
//  :     .
// +0 = SP    
// -1 =  1,  32 
// -2 =  2,  32 
// -3 = PSW
// -4 = PC
//
//  : gr7 - 
// : ar5

<Mul32>
        //   gr5   gr7
        //   
    pop ar5,gr5 with gr7 = gr5;         // ar5 - . 2, gr5 - . 1

    push ar0,gr0 with gr0 = gr5;        // gr0 - . 1
    push ar1,gr1 with gr5 = gr7 noflags;    // ar5 - . 2
    
    gr7 = ar5;
    with gr1 = gr0 *: gr7;
.repeat 15;
    with gr1 = gr0 * gr7;
.endrepeat;

    pop ar1, gr1;
    pop ar0, gr0;
    return;

end ".text";

//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                         mul32.asm                              //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////

