//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                              //
//                                                                          //
//                                               //
//                                           //
//                                                                          //
//                          u64tof.asm                                      //
//                                                                          //
//        64      //
//     32 .                                     //
// ConvU64toF -      float.                    //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////

// : 
// : 02 ( 27.11.97 )
// : 
// :   2    .    
//   .    .

global ConvU64toF :label;
extern FResult :label;

begin text

//=====  ConvU64toF ==========================
//       64    
//     32 .
//    .
//  :    
//  0 = SP -       
// -1 = ArgHi -    32  ,
// -2 = ArgLo -    32  ,
// -3 = PSW
// -4 = PC
//  : gr7 -  , float 32 
// : ar5
<ConvU64toF>
        //  .  gr5  gr7
    pop ar5,gr5 with gr7 = gr5;     // ar5 - ArgLo, gr5 - ArgHi
    push ar1,gr1 with gr1 = gr5;    // gr1 = ArgHi
    push ar0,gr0 with gr5 = gr7;    //  gr5
    push ar2,gr2;
    push ar3,gr3 with gr3 = false;  // gr3 = 0
    push ar4,gr4 with gr4 = false;  // gr4 = 0
    gr0 = ar5;                      // gr0 = ArgLo

        //  float 
    delayed call FResult;
    gr2 = 127 + 32 + 23;
    // call FResult;

    pop ar4, gr4;
    pop ar3,gr3;
    pop ar2,gr2;
    pop ar0,gr0;
    pop ar1,gr1;
    return;

end text;

//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                        u64tof.asm                              //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////
