//////////////////////////////////////////////////////////////////////////
//                                                                      
// math.h -                                                             
//                                                                      
//      This file includes declarations of the functions for 
//      the standart math libruary. Matches to ANSI.
//                                                                      
// Copyright (c) 2001 RC Module Inc.                                    
//                                                                      
//                                                                     
//    $Revision:: 1     $      $Date:: 2/14/06 8:08p    $               
//                                                                      
//////////////////////////////////////////////////////////////////////////

#ifndef	_MATH_H
#define	_MATH_H

#include <cmath>

_USING_STD(sqrtf)
_USING_STD(fmodf)
_USING_STD(powf)
_USING_STD(tanhf)
_USING_STD(coshf)
_USING_STD(sinhf)
_USING_STD(tanf)
_USING_STD(atanf)
_USING_STD(atan2f)
_USING_STD(acosf)
_USING_STD(asinf)
_USING_STD(modff)
_USING_STD(ceilf)
_USING_STD(floorf)
_USING_STD(fabsf)
_USING_STD(log10f)
_USING_STD(logf)
_USING_STD(expf)
_USING_STD(sinf)
_USING_STD(cosf)
_USING_STD(frexpf)
_USING_STD(ldexpf)

_USING_STD(sqrt)
_USING_STD(fmod)
_USING_STD(pow)
_USING_STD(tanh)
_USING_STD(cosh)
_USING_STD(sinh)
_USING_STD(tan)
_USING_STD(atan)
_USING_STD(atan2)
_USING_STD(acos)
_USING_STD(asin)
_USING_STD(modf)
_USING_STD(ceil)
_USING_STD(floor)
_USING_STD(fabs)
_USING_STD(log10)
_USING_STD(log)
_USING_STD(sin)
_USING_STD(cos)
_USING_STD(exp)
_USING_STD(frexp)
_USING_STD(ldexp)

#endif // _MATH_H
